#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define		pdir	Specio
Summary:	Test::Specio - Test helpers for Specio
Summary(pl.UTF-8):	Test::Specio - pomocnicze funkcje i zmienne testowe dla Specio
Name:		perl-Specio
Version:	0.47
Release:	1%{?tld}
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DR/DROLSKY/Specio-%{version}.tar.gz
# Source0-md5:	42a6734e5c02836f6d99646167694b96
URL:		https://metacpan.org/release/Specio
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Devel-StackTrace
BuildRequires:	perl-Eval-Closure
BuildRequires:	perl-MRO-Compat
BuildRequires:	perl-Module-Runtime
BuildRequires:	perl-Role-Tiny >= 1.003003
BuildRequires:	perl-Scalar-List-Utils >= 1.33
BuildRequires:	perl-Storable
BuildRequires:	perl-Sub-Quote
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-XString
BuildRequires:	perl-version >= 0.83
%endif
Requires:	perl-XString
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides some helper functions and variables for testing
Specio types.

%description -l pl.UTF-8
Ten pakiet dostarcza kilka pomocniczych funkcji i zmiennych do
testowania typów Specio.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md TODO.md
%{perl_vendorlib}/Specio
%{perl_vendorlib}/Specio.pm
%{perl_vendorlib}/Test/Specio.pm
%{_mandir}/man3/Specio*.3pm*
%{_mandir}/man3/Test::Specio.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Specio.git;a=log;h=master

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> f82b4cb
- updated to 0.47; uses XString on perl 5.10+

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 174af39
- updated to 0.46

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 472ccd0
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 99726b4
- up to 0.44

* Tue Oct 02 2018 Jakub Bogusz <qboosh@pld-linux.org> c271c85
- updated to 0.42

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f6588ab
- up to 0.40

* Fri Nov 25 2016 Jakub Bogusz <qboosh@pld-linux.org> ca393aa
- pl, updated to 0.31

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 39fe93b
- initial

